curl --request PATCH \
--url https://api.avest.fr/v1/external-integration/match/{matchId}/visit/{activityId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isCancelled": true,
"visitStartAt": "2023-11-07T05:31:56Z",
"visitEndAt": "2023-11-07T05:31:56Z",
"content": "<string>",
"owner": "618a35a36d932054e195ca0a"
}
'import requests
url = "https://api.avest.fr/v1/external-integration/match/{matchId}/visit/{activityId}"
payload = {
"isCancelled": True,
"visitStartAt": "2023-11-07T05:31:56Z",
"visitEndAt": "2023-11-07T05:31:56Z",
"content": "<string>",
"owner": "618a35a36d932054e195ca0a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isCancelled: true,
visitStartAt: '2023-11-07T05:31:56Z',
visitEndAt: '2023-11-07T05:31:56Z',
content: '<string>',
owner: '618a35a36d932054e195ca0a'
})
};
fetch('https://api.avest.fr/v1/external-integration/match/{matchId}/visit/{activityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.avest.fr/v1/external-integration/match/{matchId}/visit/{activityId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'isCancelled' => true,
'visitStartAt' => '2023-11-07T05:31:56Z',
'visitEndAt' => '2023-11-07T05:31:56Z',
'content' => '<string>',
'owner' => '618a35a36d932054e195ca0a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.avest.fr/v1/external-integration/match/{matchId}/visit/{activityId}"
payload := strings.NewReader("{\n \"isCancelled\": true,\n \"visitStartAt\": \"2023-11-07T05:31:56Z\",\n \"visitEndAt\": \"2023-11-07T05:31:56Z\",\n \"content\": \"<string>\",\n \"owner\": \"618a35a36d932054e195ca0a\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.avest.fr/v1/external-integration/match/{matchId}/visit/{activityId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"isCancelled\": true,\n \"visitStartAt\": \"2023-11-07T05:31:56Z\",\n \"visitEndAt\": \"2023-11-07T05:31:56Z\",\n \"content\": \"<string>\",\n \"owner\": \"618a35a36d932054e195ca0a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.avest.fr/v1/external-integration/match/{matchId}/visit/{activityId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"isCancelled\": true,\n \"visitStartAt\": \"2023-11-07T05:31:56Z\",\n \"visitEndAt\": \"2023-11-07T05:31:56Z\",\n \"content\": \"<string>\",\n \"owner\": \"618a35a36d932054e195ca0a\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"visit": {
"id": "618a35a36d932054e195ca0a",
"type": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"deadline": "2023-11-07T05:31:56Z",
"completionDate": "2023-11-07T05:31:56Z",
"pinned": true,
"owner": "618a35a36d932054e195ca0a",
"linkedDocument": "618a35a36d932054e195ca0a",
"linkedModel": "<string>",
"data": {},
"file": {
"name": "<string>",
"mimetype": "<string>",
"size": 123,
"url": "<string>"
},
"driveLinks": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Modifier ou annuler une visite
Déplace, annote, réattribue ou annule une visite. Effet de bord : annuler la dernière visite active redescend le match à MCNV.
Il n’y a pas de suppression : isCancelled est réversible.
curl --request PATCH \
--url https://api.avest.fr/v1/external-integration/match/{matchId}/visit/{activityId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isCancelled": true,
"visitStartAt": "2023-11-07T05:31:56Z",
"visitEndAt": "2023-11-07T05:31:56Z",
"content": "<string>",
"owner": "618a35a36d932054e195ca0a"
}
'import requests
url = "https://api.avest.fr/v1/external-integration/match/{matchId}/visit/{activityId}"
payload = {
"isCancelled": True,
"visitStartAt": "2023-11-07T05:31:56Z",
"visitEndAt": "2023-11-07T05:31:56Z",
"content": "<string>",
"owner": "618a35a36d932054e195ca0a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isCancelled: true,
visitStartAt: '2023-11-07T05:31:56Z',
visitEndAt: '2023-11-07T05:31:56Z',
content: '<string>',
owner: '618a35a36d932054e195ca0a'
})
};
fetch('https://api.avest.fr/v1/external-integration/match/{matchId}/visit/{activityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.avest.fr/v1/external-integration/match/{matchId}/visit/{activityId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'isCancelled' => true,
'visitStartAt' => '2023-11-07T05:31:56Z',
'visitEndAt' => '2023-11-07T05:31:56Z',
'content' => '<string>',
'owner' => '618a35a36d932054e195ca0a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.avest.fr/v1/external-integration/match/{matchId}/visit/{activityId}"
payload := strings.NewReader("{\n \"isCancelled\": true,\n \"visitStartAt\": \"2023-11-07T05:31:56Z\",\n \"visitEndAt\": \"2023-11-07T05:31:56Z\",\n \"content\": \"<string>\",\n \"owner\": \"618a35a36d932054e195ca0a\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.avest.fr/v1/external-integration/match/{matchId}/visit/{activityId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"isCancelled\": true,\n \"visitStartAt\": \"2023-11-07T05:31:56Z\",\n \"visitEndAt\": \"2023-11-07T05:31:56Z\",\n \"content\": \"<string>\",\n \"owner\": \"618a35a36d932054e195ca0a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.avest.fr/v1/external-integration/match/{matchId}/visit/{activityId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"isCancelled\": true,\n \"visitStartAt\": \"2023-11-07T05:31:56Z\",\n \"visitEndAt\": \"2023-11-07T05:31:56Z\",\n \"content\": \"<string>\",\n \"owner\": \"618a35a36d932054e195ca0a\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"visit": {
"id": "618a35a36d932054e195ca0a",
"type": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"deadline": "2023-11-07T05:31:56Z",
"completionDate": "2023-11-07T05:31:56Z",
"pinned": true,
"owner": "618a35a36d932054e195ca0a",
"linkedDocument": "618a35a36d932054e195ca0a",
"linkedModel": "<string>",
"data": {},
"file": {
"name": "<string>",
"mimetype": "<string>",
"size": 123,
"url": "<string>"
},
"driveLinks": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Autorisations
Token LinkedAPI avec scope externalIntegration. La clé doit avoir un agencyGroup configuré (sinon 400 LinkedAPI agencyGroup is required). Fourni via l'en-tête Authorization: Bearer {linkedAPI_token}. Si la clé a secure === true, l'IP appelante doit être whitelistée (en-tête X-Real-IP), sinon 403 Not authorized to access this resource.
La clé porte aussi un niveau d'accès : en lecture seule, elle n'autorise que les GET ; un POST ou un PATCH renvoie alors 403 Not authorized to access this resource, soit la même réponse qu'une requête sans en-tête Authorization. Voir le guide Authentification.